AutoCAD Inventor :: Create Midplane Between Parallel Faces Of Two Different Parts Or Not
Nov 18, 2012
After reading the documentation for IV 2013, I'm not sure if it's possible to create a midplane between parallel faces of two different parts or not. I've tried using the workplane buttons in both the 3D Model and the Assembly tabs with no joy.
I want to connect two sheet metal faces with a bend. Bend works if two parallel edges are selected. Is there a way to connect two faces with a bend if the two edges are not parallel?
As you can see, there is an entire face of the pipe missing. When I highlight over it (2nd picture) it thinks it is there. This has happened on lots of content center parts. There has been a few issues where this has happened with some of our downloaded user content (in our custom content center) even to the point of disappearing entirely.
This has happened across multiple (identical) machines. However, it doesn't seem to be reproducible on demand.
Pertinent info:
Inventor 2014 Pro, 64-Bit, Build 170, Update 1
Graphics - NVIDIA Quadro 2000 with latest current driver (Problem presented before driver update)
I have been working with an assembly today where it is ideal to mirror parts and have figured out how to reuse the parts rather than create new parts. Now I find that when the parts are mirrored, they ate not retaining the mates. Where do I find the setting so they either retain their mates, or prefferably retain the mirror so that if I move the origional, the mirror moves as well?
I am working on creating custom structural steel content libraries for our company. One thing that I would like to do is to have the content center create a new part with the xy plane as the midplane of the resultant part. By default, the xy plane is at one end of the part. I turned on the xy plane in the part shown in this screen shot.
I've currently written an application for SolidWorks that reads file that geometry in the form of faces (ie. 3 or 4 double values that represent triangular and quadirilateral faces). I am trying to create the same application to work for Autodesk Inventor, but I am having some issues.
First, I am basing my code off from the examples given in the help files. There's a lot of pointers to objects being to get to the Face creation portion, this seems to be slowing my appliation down considerable compared to the SolidWorks counterpart. SolidWorks API has a modelling method called CreatePlanarSurfaceDLL that allows me to provide an array of doubles representing the vertex points in order (x, y, Z) for each point, so the array looks like this for a triangle (P1.X, P1.Y, P1.Z, P2.X, P2.Y, P2.Z, P3.X, P3.Y, P3.Z). Is there anything similar in the Inventor API to simply the process?
Secondly, when using the example, they all have a known "shape" and therefor there are a definied number of vertices, edges, faces, etc. And when adding the faces, the known points / vertices are used. In my case, each face contains information for it's 3 or 4 vertices. I created these using the prescribed methods, but when the final surface body feature is created, and a repair is performed on it, it shows a lot of duplicate edges and vertices. Do I need to take the time and filter out all of the duplicate vertices, and point to a single vertex that may represent a vertext used by up to 3 or 4 faces?
i got Inventor recently, and i've been working on a model of a longboard just to teach myself how to use the tools in Inventor. right now i'm trying to color areas for the griptape pattern so i drew the 2D pattern and projected it onto the 3D model of the longboard. but when i tried to split the faces of the model along the projected pattern only a few of the projected lines split the faces. for other faces i kept getting these errors:
Create parting line failed Crane.ipt: Errors occurred during update Split11: Could not build this Split The attempted operation did not produce a meaningful result. Try with different inputs.
I am needing to create some new parts with miters that will reflect how they will be cut on our tube laser. I have attached a part sample that someone else has created. How to change this into a part that will work for me, so I'm wanting to start brand new.
I am needing the surface of the miter to be perpendicular to the material all through the miter. How would I accomplish this?
I was wondering if you create the parts then assemble them. Or can you create and assembly then break out the parts? I am just testing inventor out to see if it would be good for my company.
When creating a new part in an assembly and I select a face of an existing component, how does Inventor determine the orientation and origin of that new part? I understand how Inventor works when I select the plane/origin of a part or pick out in space in the assembly.But the placement based on the face of an existing component seems random..
I normally do not like creating parts inside of an assembly but I was trying some new workflows.
Is there a tutorial for importing 2D AutoCAD geomtetry and using it as a basis for your 3D sketches? I'm sure in a demo somewhere I saw someone using 2D layouts to quickly start creating 3D geometry from.
To clarify i'm not referring to the add-in in AutoCAD Labs but the actual process to do this using Inventor tools.
We have thousands of parts & assemblies, and want to create a thumbnail image of each for use with our production software. Unfortunately task scheduler only exports to solid models, not images. How to achieve this via macros, VB or iLogic. The process would go something like:
1) open (each) file 2) turn 'all work features off' (not essential but it would be nice so work planes don't show up in the thumbnail) 3) go to 'home view' 4) zoom to extents or zoom all 5) 'save copy as' to a set location (not same location as part or assy) with file name of "<PartNumber>.png" (not same as original filename) 6) turn 'all work features on' (if we managed to turn them off) 7) close (and repeat process for the remaining parts & assy's).
I am trying to make a chute out of 4 pieces of sheet metal. Is there a way to take a solid lofted part, shell it, and then break off each side of the the object for cutting and welding them together. I have an example attached.
I am having some trouble with assemblies. What I want to do is, create multiple assemblies with moving parts and then assemble them all in one assembly. When I do this, the assemblies with moving parts come in as "blocks" and the parts will not move.
I created several Parts with the Shaft Generator, and from one moment to another it always says that it can't update the part file with the new shaft when I press Ok.
Here is the original error, I'm german, so of cause its in german, but i discribed above what it says:
Komponente C:UsersManuelGoogle DriveProjekteEigene ÜbungenTest2Konstruktions-AssistentWelle1.ipt konnte nicht aktualisiert werden. Welle konnte nicht erstellt werden.
I have 5 separate .ipt's that were created within a major assembly. Is it possible to generate a subassembly of those 5 separate .ipt's within the major assembly keeping all the constraints?
OR
Do I have to start a separate .iam file and import each .ipt and regenerate the complicated constraints all over again?
From a VB.Net program, I'm trying to create a dimension on a drawing document between two parts in an assembly. I can get the parts using component occurrence. The line marked below throws the following error: The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG)).
As you may see, I have allocated memory for both "Edge" and "Face" (Dim oEdge1 As Face) albeit one is commented out. Attached is the screen shots from the attribute helper add-in. In it, you will notice that the attributes are of type: "Face".
Public Sub CreateDrawingDimension(ByVal Part1 As String, ByVal Part2 As String, ByVal AttName1 As String, ByVal AttName2 As String) ' Get the Active Drawing document Dim oDrawDoc As Inventor.DrawingDocument oDrawDoc = invApp.ActiveDocument [code]........
I have been using Inventor 2011 and I have noticed that I can’t create a component *.IAM in place if there is a content center part that is selected. I am saving content center parts as custom.
I have assemblies that are comprised of reference parts - the assembly is a purchased part such as an air cylinder. I have them as reference only in the assembly (ie right click on the parts in the model tree->BOM Reference->Reference). I do it this way so I can adjust the air cylinder how I need it, but still only asign one part number to the whole assembly - as an example we'll say "cylinderX" is the part number, and filename is "cylinderX.iam"
The problem arises when I put cylinderX.iam into other assemblies and try and make drawings of those assemblies. Even though cylinderX.iam is not a reference part (but all it's sub components are), it shows up in an IDW just like reference parts. I am able to make it show up how I want by editing the view properties (Edit View->Model State Tab->Reference Data Line Style "as parts"), but I still cannot balloon cylinderX.iam. It shows up in the parts list, but I cannot attach a balloon to it.
Inventor 2013, 64-Bit Dell Precision M6700 Windows 7 Pro Intel Core i7-3820QM @ 2.70 GHz 16 GB Ram NVIDIA Quadro K4000M Space Navigator
I have a macro that I acquired somewhere (possibly these boards, can't remember now) for placing a parts list. I have modified it somewhat to change the location on the sheet where the list gets placed, as well as a sub that starts the autoballoon command afterward.
The macro is set up to place the parts list in the upper left corner, by adding the parts list width to the Mini Point of the border. This works perfectly well, except that we have two parts list styles, and they are differently sized.
What I would like to do is have the macro detect the parts list style, and change the offset value depending on which style it finds. I am an extreme novice with the API, who basically knows just enough to tweak sample code a bit, and have not been able to find anything close enough to use as an example.
How I should go about this, or even post some samples of something similar? Current code is shown below.
Public Sub CreatePartsList() On Error Resume Next ' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the active sheet. Dim oSheet As Sheet Set oSheet = oDrawDoc.ActiveSheet ' Set a reference to the first drawing view on ' the sheet. This assumes the first drawing ' view on the sheet is not a draft view. Dim oDrawingView As DrawingView Set oDrawingView = [code].......
The macro does not have to set the parts list style - that is controlled by the drawing Standard. It just needs to detect what it is, and place the list accordingly.
I am trying to create a Treeview of Model tree which displays parts assembly...etc My code is working well and i am able to get the tree view, but the problem is how can i count the quantity of parts/assemblies and display as consolidated. For instance this below snapshot shows my treeview.
This above snapshot shows my output
Here besides all parts/assemblies i get Semi-Colons and Numbers rather than consolidated view For this part in fig
Let me start by saying that we rarely use sheet metal parts so I'm not real familiar with that interface. That said, I can create sheet metal parts with square shapes and bends just fine. However, I'm currently stumped as to the best way to model what should be a pretty simple plate.
We have a large, thin (1/8") square plate to which we want to add 2 opposing diagonal very slight breaks to add stiffness to the plate. More specifically, we want these diagonal bends to cover the center part of the plate leaving about a 2" flat flange all the way around the plate.
We have been experimenting with Parallel threading. The situation is that I have an assembly that contains multiple parts (approx. 40) which all have contained "almost" the same code. In order to rationalize this; we have rearranged the code in such way that we now only reference External iLogic rules form these 40 part files (only one place to revise the code if necessary).
The side effect to this rationalization has been the we have problems in executing the codes in parallel, see this simplified example:
Imports System.Threading.TasksParallel.For(1,40, Sub(h As Integer) iLogicVb.RunRule ("Part "& h &"", "iTriggerRule") End Sub)
Now all of these 40 part files try to execute their code.
'Configutation of Part filesiTrigger=iTrigger0iLogicVb.RunExternalRule("Cut configuration")iLogicVb.RunExternalRule("Bracing of the part")iLogicVb.RunExternalRule("Parameter context")
As they all are dependent upon running the same external rules the result is that not all part files are updated according to the required design requirements. It seem as if one of the part files calls the external rule and the rule is "busy" handling another part file it just terminates without warnings or errors.
Can multiple part files run the same external rule at the same time? Is there some form of queue? I do not get any warnings or errors, the partfiles just do not update. How can I make sure that all the part files run the external rules and is there a way of checking this?